> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weborion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an alert

> Returns detailed information about the specified alert.



## OpenAPI

````yaml /openapi.json get /api/v1/alerts/{alert}
openapi: 3.0.3
info:
  title: WebOrion Monitor API
  description: >-
    REST API for managing webpages, alerts, batch jobs, and activity logs in
    WebOrion Defacement Monitor.
  version: '2021-07-26'
servers:
  - url: https://api.monitor.weborion.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Operations related to user accounts
  - name: Webpages
    description: Operations related to webpages and URLs
  - name: Batch Jobs
    description: Operations related to batch baseline and rebaseline jobs
  - name: Alerts
    description: Operations related to alerts
  - name: Domains
    description: Operations related to domains
  - name: Tags
    description: Operations related to tags for organising webpages
paths:
  /api/v1/alerts/{alert}:
    get:
      tags:
        - Alerts
      summary: Get an alert
      description: Returns detailed information about the specified alert.
      operationId: getAlert
      parameters:
        - in: path
          name: alert
          schema:
            type: string
          required: true
          description: Alert ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUserAlert'
components:
  schemas:
    EndUserAlert:
      type: object
      properties:
        id:
          type: integer
        url:
          type: object
          properties:
            id:
              type: integer
            name:
              type: string
            url:
              type: string
        time_detected:
          type: string
        alert_reason:
          type: string
          enum:
            - changes_detected_from_baseline
            - changes_detected_from_last_alert
            - webpage_unreachable
        download_difference_url:
          type: string
          description: URL to download the diff of the alert
        result:
          type: object
          properties:
            summary:
              type: string
            network_error:
              type: boolean
            screenshot:
              type: object
              properties:
                before:
                  type: string
                after:
                  type: string
                difference:
                  type: string
            ai_triage_result:
              $ref: '#/components/schemas/AiTriageResult'
            changes_detected:
              type: object
              description: >-
                Copy of either changes_detected_from_last_alert or
                changes_detected_from_baseline depending on alert type
              properties:
                content_engine:
                  type: object
                  properties:
                    title:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultTextElement
                    href:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    img:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    script:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    div:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    css:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    iframe:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    line_num:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    hash:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultTextElement
                user_specified_keywords:
                  $ref: '#/components/schemas/ContentEngineKeywordsResult'
                integrity_engine:
                  $ref: '#/components/schemas/IntegrityEngineResult'
                image_engine:
                  type: array
                  items:
                    $ref: '#/components/schemas/ImageEngineResult'
            changes_detected_from_baseline:
              type: object
              properties:
                content_engine:
                  type: object
                  properties:
                    title:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultTextElement
                    href:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    img:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    script:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    div:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    css:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    iframe:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    line_num:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultNumberElement
                    hash:
                      $ref: >-
                        #/components/schemas/ContentEngineBaselineResultTextElement
                user_specified_keywords:
                  $ref: '#/components/schemas/ContentEngineKeywordsResult'
                integrity_engine:
                  $ref: '#/components/schemas/IntegrityEngineResult'
                image_engine:
                  type: array
                  items:
                    $ref: '#/components/schemas/ImageEngineResult'
            changes_detected_from_last_alert:
              type: object
              properties:
                content_engine:
                  type: object
                  properties:
                    title:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultTextElement
                    href:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    img:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    script:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    div:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    css:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    iframe:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    line_num:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultNumberElement
                    hash:
                      $ref: >-
                        #/components/schemas/ContentEngineLastAlertResultTextElement
                user_specified_keywords:
                  $ref: '#/components/schemas/ContentEngineKeywordsResult'
                integrity_engine:
                  $ref: '#/components/schemas/IntegrityEngineResult'
    AiTriageResult:
      type: object
      description: AI-powered triage analysis for the alert
      properties:
        severity:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
          description: Severity level assigned by the AI triage system
        description:
          type: string
          description: Summary of what the AI detected
        reasons:
          type: array
          items:
            type: string
          description: Factors that contributed to the AI's analysis
        suggested_action:
          type: string
          description: AI-recommended action for the user
    ContentEngineBaselineResultTextElement:
      type: object
      properties:
        baseline:
          type: string
        threshold:
          type: string
        current:
          type: string
        difference:
          type: string
    ContentEngineBaselineResultNumberElement:
      type: object
      properties:
        baseline:
          type: integer
        threshold:
          type: integer
        current:
          type: integer
        difference:
          type: integer
    ContentEngineKeywordsResult:
      type: object
      properties:
        included:
          type: array
          items:
            type: string
          description: Whitelisted keywords that were expected but not found on the page
        excluded:
          type: array
          items:
            type: string
          description: Blacklisted keywords that were found on the page but should not be
    IntegrityEngineResult:
      type: object
      properties:
        href:
          type: array
          items:
            type: string
        img:
          type: array
          items:
            type: string
        script:
          type: array
          items:
            type: string
        css:
          type: array
          items:
            type: string
        iframe:
          type: array
          items:
            type: string
    ImageEngineResult:
      type: object
      properties:
        crop_number:
          type: integer
        x:
          type: integer
          description: X-coordinate of the region (0,0 at top left)
        'y':
          type: integer
          description: Y-coordinate of the region (0,0 at top left)
        width:
          type: integer
        height:
          type: integer
        threshold_percentage:
          type: integer
          description: Threshold set, value 0–100
        result_percentage:
          type: integer
          description: Percentage unchanged (100 minus change_percentage)
        change_percentage:
          type: integer
          description: Percentage changed, value 0–100
    ContentEngineLastAlertResultTextElement:
      type: object
      properties:
        last_alert:
          type: string
        threshold:
          type: string
        current:
          type: string
        difference:
          type: string
    ContentEngineLastAlertResultNumberElement:
      type: object
      properties:
        last_alert:
          type: integer
        threshold:
          type: integer
        current:
          type: integer
        difference:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Generate an API token from the WebOrion Defacement Monitor portal. Pass
        it as `Authorization: Bearer <token>`.

````